Bug 1024795 - bodhi: Use Python 3 as default
Summary: bodhi: Use Python 3 as default
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bodhi
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lumír Balhar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On: 1024799
Blocks: PYTHON3-UPSTREAM PY3PACKAGER
TreeView+ depends on / blocked
 
Reported: 2013-10-30 13:00 UTC by Miro Hrončok
Modified: 2018-04-19 20:40 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-04-18 15:53:04 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github fedora-infra bodhi issues 637 None None None 2016-10-18 15:18 UTC

Description Miro Hrončok 2013-10-30 13:00:54 UTC
Hi, we would like to use Python 3 on the default installation instead of Python 2 on Fedora 22.

https://fedoraproject.org/wiki/Changes/Python_3_as_Default

While this package is not in minimal buildroot, it belongs to fedora-packager stack. We would like to switch to Python 3 there as well.

The goal here is, that for F22 you should use Python 3 instead of Python 2 in this package.

Please, help us update to Python 3 flawlessly.

Check if upstream already support Python 3, if yes, use it and add the support to the package.

If upstream doesn't support Python 3 yet, encourage it to do so by sending patches and offering your help.

When upstream is dead or unwilling to support Python 3, say so and we can solve the problem together.

Chances are, that you ARE the upstream. In that case, everything is easier, just do it yourself.

There is a table on wiki, that should list your package. Chances are, that you can see an upstream link that covers the problem. Anyway, please update the table with information you know.

https://fedoraproject.org/wiki/User:Churchyard/python3#fedora-packager

I offer my help with this task, so if you have no idea, how to work on this, or it is just not your priority, don't hesitate to ask for help.

(As you've already realized, this is a bulk text, so if something is not quite exact about your package, sorry for that, just ask)

Comment 1 Miro Hrončok 2013-10-30 22:10:27 UTC
To be clear: This is about the clinet. Porting server to Python 3 once would be great, but this not now our priority.

Comment 2 Miro Hrončok 2013-10-30 22:11:16 UTC
s/clinet/client/

Comment 3 Jaroslav Reznik 2015-03-03 15:10:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Fedora End Of Life 2016-07-19 10:31:26 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Jan Kurik 2016-07-26 04:35:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 6 Randy Barlow 2016-10-17 21:19:23 UTC
The client and server code come from the same setup.py upstream, so it may be slightly tricky to get just the client to use Python 3. That said, it might not be too bad. I do intend to switch the Bodhi stack to be Python 3 once my dependencies are available in Python 3.

Comment 7 Randy Barlow 2016-10-18 15:18:33 UTC
There is an upstream issue for this, so let's track it there. Thanks for filing!

Comment 8 Randy Barlow 2016-10-18 15:19:40 UTC
I just realized that this ticket was being used to block the Python 3 tracker so we should keep it open. Apologies!

Comment 9 Fedora End Of Life 2017-02-28 09:35:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 10 Randy Barlow 2017-07-11 17:42:12 UTC
Koji has been ported for Python 3 and was one of the major blockers. AFAIK fedmsg has not yet been ported and is also required before Bodhi can be ported. Once that is done there may still be some smaller dependencies, but it should be possible to get started then.

Comment 11 Randy Barlow 2017-10-19 20:21:35 UTC
Lumír Balhar has written me to say he's gonna help out with this work, so I'm going to assign this to him for now. Thanks Lumír!

Comment 12 Lumír Balhar 2017-12-11 10:00:17 UTC
We are in the final phase of bringing Python 3 compatibility to Bodhi. I summarized all steps in github issue: https://github.com/fedora-infra/bodhi/issues/2059

Comment 13 Fedora End Of Life 2018-02-20 15:37:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 14 Randy Barlow 2018-04-18 15:54:33 UTC
The client uses Python 3 only on Rawhide now. The server is still Python 2 for probably a few more months, but as per comment 1 I'm closing this since the ticket is about the client.

Comment 15 Miro Hrončok 2018-04-18 16:56:36 UTC
\o/

Comment 16 Miro Hrončok 2018-04-19 10:54:12 UTC
BTW Here's a Fedora 28 automated backport: https://copr.fedorainfracloud.org/coprs/churchyard/packaging/

Comment 17 Randy Barlow 2018-04-19 20:40:53 UTC
Cool, thanks!

Just so you know I do have an automated Copr for Bodhi that builds from the Rawhide master branch:

https://copr.fedorainfracloud.org/coprs/bowlofeggs/bodhi/

The F26 build failed sadly, I need to look into that.


Note You need to log in before you can comment on or make changes to this bug.